import QtQuick 1.1
import com.nokia.meego 1.0

import "file:///usr/lib/qt4/imports/com/nokia/meego/UIConstants.js" as UI

Item {
	property string heading

	width: parent.width
	height: UI.LIST_ITEM_HEIGHT_DEFAULT + UI.PADDING_MEDIUM/2
	Text { 
		text: heading
		anchors.fill: parent
		verticalAlignment: Text.AlignVCenter
		font.pixelSize: UI.FONT_XLARGE
		color: UI.COLOR_INVERTED_FOREGROUND
	}	
	Image { 
		anchors {
			right: parent.right
			rightMargin: UI.DEFAULT_MARGIN
			left: parent.left
			bottom: parent.bottom 
		}

		source:
			"image://theme/meegotouch-groupheader-inverted-background"
	}
}
